Bug 144346 - Update port: textproc/py-chardet from 1.0.1 to 2.0.1
Summary: Update port: textproc/py-chardet from 1.0.1 to 2.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-python (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-28 00:00 UTC by Kouki Hashimoto
Modified: 2010-04-03 21:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kouki Hashimoto 2010-02-28 00:00:06 UTC
Update port: textproc/py-chardet from 1.0.1 to 2.0.1
+ update PORTVERSION
+ fix DISTNAME
+ update distinfo, pkg-plist
Comment 1 Edwin Groothuis freebsd_committer 2010-02-28 00:00:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Kouki Hashimoto 2010-02-28 07:12:20 UTC
Sorry. The attached patch seems missing (but why?).
Here is the patch.
Regards.

--- a/Makefile	Sun Feb 28 08:26:05 2010 +0900
+++ b/Makefile	Sun Feb 28 16:02:17 2010 +0900
@@ -5,10 +5,11 @@
 # $FreeBSD: ports/textproc/py-chardet/Makefile,v 1.5 2008/03/12
10:23:46 arved Exp $

 PORTNAME=	chardet
-PORTVERSION=	1.0.1
+PORTVERSION=	2.0.1
 CATEGORIES=	textproc python
 MASTER_SITES=	http://chardet.feedparser.org/download/
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
+DISTNAME=	python2-${PORTNAME}-${PORTVERSION}
 EXTRACT_SUFX=	.tgz

 MAINTAINER=	ports@FreeBSD.org

--- a/distinfo	Sun Feb 28 08:26:05 2010 +0900
+++ b/distinfo	Sun Feb 28 16:02:17 2010 +0900
@@ -1,3 +1,3 @@
-MD5 (chardet-1.0.1.tgz) = f8c510a6fac300fe0ac9a0c24a76a7ba
-SHA256 (chardet-1.0.1.tgz) =
5834db3148c627c72bc058096eb3517d226bccd8ea4a5296bff3afdb70505751
-SIZE (chardet-1.0.1.tgz) = 179218
+MD5 (python2-chardet-2.0.1.tgz) = ec771971bab5dd1943a10362ebd2fd4c
+SHA256 (python2-chardet-2.0.1.tgz) =
56fa0c37189b0a5f082d064dec59d69a044aaa3eeb7acb9b3081e2ba306deaa4
+SIZE (python2-chardet-2.0.1.tgz) = 177793

--- a/pkg-plist	Sun Feb 28 08:26:05 2010 +0900
+++ b/pkg-plist	Sun Feb 28 16:02:17 2010 +0900
@@ -97,6 +97,9 @@
 %%PYTHON_SITELIBDIR%%/chardet/sjisprober.py
 %%PYTHON_SITELIBDIR%%/chardet/sjisprober.pyc
 %%PYTHON_SITELIBDIR%%/chardet/sjisprober.pyo
+%%PYTHON_SITELIBDIR%%/chardet/test.py
+%%PYTHON_SITELIBDIR%%/chardet/test.pyc
+%%PYTHON_SITELIBDIR%%/chardet/test.pyo
 %%PYTHON_SITELIBDIR%%/chardet/universaldetector.py
 %%PYTHON_SITELIBDIR%%/chardet/universaldetector.pyc
 %%PYTHON_SITELIBDIR%%/chardet/universaldetector.pyo

-- 
Kouki Hashimoto
hsmtkk@gmail.com
Comment 3 Li-Wen Hsu freebsd_committer 2010-04-03 21:42:20 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2010-04-03 21:42:24 UTC
lwhsu       2010-04-03 20:42:15 UTC

  FreeBSD ports repository

  Modified files:
    textproc/py-chardet  Makefile distinfo pkg-plist 
  Log:
  - Update to 2.0.1
  
  PR:             ports/144346
  Submitted by:   Kouki Hashimoto <hsmtkk AT gmail.com>
  
  Revision  Changes    Path
  1.6       +2 -1      ports/textproc/py-chardet/Makefile
  1.3       +3 -3      ports/textproc/py-chardet/distinfo
  1.4       +3 -0      ports/textproc/py-chardet/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"